Update calendar resource by ID

http
PUT https://services.leadconnectorhq.com/calendars/resources/{resourceType}/{id}

Authorization

NameTypeRequiredExampleDescription
AuthorizationstringYesBearer token generated from the Leadway portal. See Authentication.
VersionstringYes2021-07-28API version.

Path parameters

NameTypeRequiredExampleDescription
resourceTypestringYesCalendar Resource Type
idstringYesCalendar Resource ID

Body

NameTypeRequiredExampleDescription
locationIdstringNo
namestringNo
descriptionstringNo
quantitynumberNoQuantity of the equipment.
outOfServicenumberNoQuantity of the out of service equipment.
capacitynumberNoCapacity of the room.
calendarIdsstring[]NoService calendar IDs to be mapped with the resource. One equipment can only be mapped with one service calendar. One room can be mapped with multiple service calendars.
isActivebooleanNo

Responses

200 - Calendar resource updated
  • locationId (string, required): Account ID of the resource

  • name (string, required): Name of the resource Example: yoga room

  • resourceType (string, required): Possible values: 'equipments', 'rooms'

  • isActive (boolean, required): Whether the resource is active

  • description (string): Description of the resource

  • quantity (number): Quantity of the resource

  • outOfService (number): Indicates if the resource is out of service Example: 0

  • capacity (number): Capacity of the resource Example: 85

json
{
  "locationId": "string",
  "name": "yoga room",
  "resourceType": "equipments",
  "isActive": true,
  "description": "string",
  "quantity": 0,
  "outOfService": 0,
  "capacity": 85
}
400 - Bad Request
json
{}
401 - Unauthorized
json
{}

Example

curl -X PUT 'https://services.leadconnectorhq.com/calendars/resources/YOUR_resourceType/YOUR_id' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28' \
  -H 'Content-Type: application/json' \
  -d '{
  "locationId": "string",
  "name": "string",
  "description": "string",
  "quantity": 0,
  "outOfService": 0,
  "capacity": 0,
  "calendarIds": [
    "string"
  ],
  "isActive": true
}'

Last updated October 26, 2026

Was this page helpful?